# Get api tokens for project. GET https://app.unleash-instance.example.com/api/admin/projects/{projectId}/api-tokens Returns the project-specific [API tokens](https://docs.getunleash.io/concepts/api-tokens) that have been created for this project. Reference: https://docs.getunleash.io/api/get-project-api-tokens ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get api tokens for project. version: endpoint_projects.getProjectApiTokens paths: /api/admin/projects/{projectId}/api-tokens: get: operationId: get-project-api-tokens summary: Get api tokens for project. description: >- Returns the project-specific [API tokens](https://docs.getunleash.io/concepts/api-tokens) that have been created for this project. tags: - - subpackage_projects parameters: - name: projectId in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: apiTokensSchema content: application/json: schema: $ref: '#/components/schemas/apiTokensSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '404': description: The requested resource was not found. content: {} components: schemas: ApiTokenSchemaType: type: string enum: - value: client - value: admin - value: frontend - value: backend apiTokenSchema: type: object properties: secret: type: string description: The token used for authentication. tokenName: type: string description: A unique name for this particular token type: $ref: '#/components/schemas/ApiTokenSchemaType' description: The type of API token environment: type: string default: development description: The environment the token has access to. project: type: string description: The project this token belongs to. projects: type: array items: type: string description: >- The list of projects this token has access to. If the token has access to specific projects they will be listed here. If the token has access to all projects it will be represented as `[*]` expiresAt: type: - string - 'null' format: date-time description: >- The token's expiration date. NULL if the token doesn't have an expiration set. createdAt: type: string format: date-time description: When the token was created. seenAt: type: - string - 'null' format: date-time description: >- When the token was last seen/used to authenticate with. NULL if the token has not yet been used for authentication. alias: type: - string - 'null' description: >- Alias is no longer in active use and will often be NULL. It's kept around as a way of allowing old proxy tokens created with the old metadata format to keep working. required: - secret - tokenName - type - projects - createdAt apiTokensSchema: type: object properties: tokens: type: array items: $ref: '#/components/schemas/apiTokenSchema' description: A list of Unleash API tokens. required: - tokens ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/api-tokens" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/api-tokens'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/api-tokens" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/api-tokens") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects/projectId/api-tokens") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/api-tokens', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/api-tokens"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/api-tokens")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```